[vlc-devel] [3.0 PATCH v2 20/20] package/win32: Force libtool build when using llvm-mingw
Steve Lhomme
robux4 at ycbcr.xyz
Thu Apr 2 13:38:18 CEST 2020
From: Marvin Scholz <epirat07 at gmail.com>
The libtool in extras/tools has additional patches that are needed to
build with llvm-mingw.
(cherry picked from commit f88b10e49d7fb04c360ec0ad13f94f9d5dc6d4e3)
---
extras/package/win32/build.sh | 13 ++++++++++++-
1 file changed, 12 insertions(+), 1 deletion(-)
diff --git a/extras/package/win32/build.sh b/extras/package/win32/build.sh
index c10c3b48a3e..d22095f2068 100755
--- a/extras/package/win32/build.sh
+++ b/extras/package/win32/build.sh
@@ -89,11 +89,22 @@ esac
JOBS=`getconf _NPROCESSORS_ONLN 2>&1`
TRIPLET=$ARCH-w64-mingw32
+# Check if compiling with clang
+CC=${CC:-$TRIPLET-gcc}
+if ! printf "#ifdef __clang__\n#error CLANG\n#endif" | $CC -E -; then
+ COMPILING_WITH_CLANG=1
+fi
+
info "Building extra tools"
cd extras/tools
+
+# Force libtool build when compiling with clang
+if [ "$COMPILING_WITH_CLANG" -gt 0 ] && [ ! -d "libtool" ]; then
+ FORCED_TOOLS=".libtool"
+fi
# bootstrap only if needed in interactive mode
if [ "$INTERACTIVE" != "yes" ] || [ ! -f ./Makefile ]; then
- ./bootstrap
+ NEEDED="$FORCED_TOOLS" ./bootstrap
fi
make -j$JOBS
export PATH="$PWD/build/bin":"$PATH"
--
2.17.1
More information about the vlc-devel
mailing list